## Développer sur ScoDoc 7

Quelques conseils, indications et mémos pour les développeurs sur ScoDoc version 7.x.

### Style et formatage du code
L'ancienneté de la base de code a rendu le style peu cohérent.

Le code doit être formatté avec [`black`](https://black.readthedocs.io/) avant tout commit (configurez votre éditeur pour appeler `black`à l'enregistrement).

### Git

Le dépot est <https://scodoc.org/git/viennet/ScoDoc>

La branche `master` est celle en production. La branche `Scodoc8`est expérimentale (nouvel installeur, refactoring...). ScoDoc9 sera avec Python 3.

#### Hot fixes (internes)

Pour les développeurs internes (écriture sur le dépot master):

    # Créer une branche
    #  si besoin (travail en cours), utiliser git stash avant
    git checkout master
    git branch hotfix
    git checkout hotfix
    ... dev, test ...
    git add ...
    git commit -m "fixed ..."
    git checkout master
    git merge hotfix
    git branch -d hotfix
    # publication

    # éventuellement: git stash pop

#### Mettre à jour votre branche

Vous travaillez dans votre branche `ma_branche`. Pour lui appliquer les mises à jour de `master`:

    git pull origin master


### Refactoring

    pylint --disable=all  -e E sco_parcours_dut.py | grep undefined-variable | awk '{print $4;}' | sort | uniq | tr -d \' 

